Zum Hauptinhalt springen

Importe

Basis-URL: https://app.neuroflash.com/api/brand-voice-service

Generieren Sie Markenstimmprofile automatisch aus Text, URLs oder hochgeladenen Dateien.

Import-Antworten sind Entwurfsvorschauen — keine gespeicherten Entitäten

Die Import-Endpoints analysieren Ihr Quellmaterial und geben ein vorgeschlagenes Brand-Voice-Profil zurück. Es wird nichts in Ihrem Workspace gespeichert. Die Antwort enthält keine id und kann später nicht abgerufen werden.

Um das Ergebnis zu speichern, übergeben Sie die extrahierten Attribute an POST /brand-voices in einem Folgeaufruf. Siehe den Brand-Voice-Pipeline-Leitfaden für den vollständigen Workflow.

Erstellt einen Dateiimport, der den Inhalt in eine Markenstimme konvertiert

POST/v1/workspaces/{workspaceId}/brand-voice-file-imports

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)

Anfrage-Body

FeldTypErforderlichBeschreibung
audienceModelIdstringJa
countrystringJa
fileContentstringJa
filenamestringJa
languagestringJa
mimeTypestringJa

Antwort

FeldTypBeschreibung
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
brandVoiceobject
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
contentExamplesarray<object>
contentstring
sourcestring
urlstring
countrystring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
industryJargonstring
languagestring
namestring
numberFormatstring
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
timeFormatstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>

Beispiel

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voice-file-imports" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"audienceModelId": "string",
"country": "string",
"fileContent": "string",
"filename": "string",
"language": "string",
"mimeType": "string"
}'

Hinweis: Diese Antwort ist ein Entwurf. Es wurde noch keine Brand Voice erstellt. Verwenden Sie die brandVoice-Felder als Eingabe für POST /brand-voices, um sie zu speichern.

Antwort:

{
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"brandVoice": {
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"country": "us",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"industryJargon": "no_jargon",
"language": "en",
"name": "My Brand Voice",
"numberFormat": "EN",
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"timeFormat": "24h",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
]
}
}

Erstellt einen Textimport, der ihn in eine Markenstimme konvertiert

POST/v1/workspaces/{workspaceId}/brand-voice-text-imports

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)

Anfrage-Body

FeldTypErforderlichBeschreibung
audienceModelIdstringJa
countrystringJa
languagestringJa
textstringJa

Antwort

FeldTypBeschreibung
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
brandVoiceobject
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
contentExamplesarray<object>
contentstring
sourcestring
urlstring
countrystring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
industryJargonstring
languagestring
namestring
numberFormatstring
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
timeFormatstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>

Beispiel

Diese Endpunkte sind asynchron

Der Brand-Voice-Import umfasst eine KI-Analyse und kann 10–30 Sekunden dauern. Planen Sie Ihre Integration entsprechend und ziehen Sie Polling- oder Retry-Logik in Betracht, wenn Sie das Ergebnis sofort benötigen.

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voice-text-imports" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"audienceModelId": "538b1efc6f88ad88feebf7acd8c618facb54fe82",
"country": "us",
"language": "en",
"text": "neuroflash is Europe's leading AI content platform, helping marketing teams create on-brand content faster with a clear, confident, and human voice."
}'

Hinweis: Diese Antwort ist ein Entwurf. Es wurde noch keine Brand Voice erstellt. Verwenden Sie die brandVoice-Felder als Eingabe für POST /brand-voices, um sie zu speichern.

Antwort:

{
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"brandVoice": {
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"country": "us",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"industryJargon": "no_jargon",
"language": "en",
"name": "My Brand Voice",
"numberFormat": "EN",
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"timeFormat": "24h",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
]
}
}

Erstellt einen URL-Import, der den Inhalt der angegebenen Seite analysiert und in eine Markenstimme konvertiert

POST/v1/workspaces/{workspaceId}/brand-voice-url-imports

Pfadparameter

ParameterTypErforderlichBeschreibung
workspaceIdstringJaArbeitsbereich-ID (uuid4)

Anfrage-Body

FeldTypErforderlichBeschreibung
audienceModelIdstringJa
countrystringJa
languagestringJa
urlstringJa

Antwort

FeldTypBeschreibung
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
brandVoiceobject
abbreviationRulesstring
activeboolean
activeVoiceboolean
advancedRulesarray<string>
brandobject
addressstring
emailstring
facebookLinkstring
instagramLinkstring
linkedinLinkstring
namestring
phonesarray<string>
valuesarray<string>
websitestring
contentExamplesarray<object>
contentstring
sourcestring
urlstring
countrystring
creationSourceDocumentIDstring
creationSourceTextstring
creationSourceTypestring
creationSourceURLstring
currencyFormatstring
dateFormatstring
descriptionstring
dontsstring
emojiUsagestring
genderingstring
generalToneobject
glossariesarray<object>
extendedstring
shortcutstring
headlinePunctuationarray<string>
hyphenationRulesarray<string>
industryJargonstring
languagestring
namestring
numberFormatstring
personalboolean
perspectivearray<string>
phoneNumberFormatstring
thumbnailBase64stringBase64-codiertes Bild
timeFormatstring
useControversialEmojisboolean
useHeaderPunctuationboolean
useHyphensboolean
vocabularyarray<string>

Beispiel

Diese Endpunkte sind asynchron

Der Brand-Voice-Import umfasst eine KI-Analyse und kann 10–30 Sekunden dauern. Planen Sie Ihre Integration entsprechend und ziehen Sie Polling- oder Retry-Logik in Betracht, wenn Sie das Ergebnis sofort benötigen.

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voice-url-imports" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"audienceModelId": "538b1efc6f88ad88feebf7acd8c618facb54fe82",
"country": "string",
"language": "string",
"url": "https://your-brand.com"
}'

Hinweis: Diese Antwort ist ein Entwurf. Es wurde noch keine Brand Voice erstellt. Verwenden Sie die brandVoice-Felder als Eingabe für POST /brand-voices, um sie zu speichern.

Antwort:

{
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"brandVoice": {
"abbreviationRules": "use_freely",
"active": false,
"activeVoice": false,
"advancedRules": [
"string"
],
"brand": {
"address": "Germany, Berlin, ...",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"instagramLink": "https://instagram.com/test",
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"phones": [
"+00000000",
"+11111111"
],
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
},
"contentExamples": [
{
"content": "instagram post content",
"source": "instagram",
"url": "https://instagram.com/test"
}
],
"country": "us",
"creationSourceDocumentID": "string",
"creationSourceText": "very interesting text that was used to import this brand voice",
"creationSourceType": "manual",
"creationSourceURL": "https://test.com",
"currencyFormat": "number_space_symbol",
"dateFormat": "EN",
"description": "Description of Brand Voice",
"donts": "string",
"emojiUsage": "no_emojis",
"gendering": "gender_neutral",
"generalTone": {},
"glossaries": [
{
"extended": "For your information",
"shortcut": "FYI"
}
],
"headlinePunctuation": [
"title_case"
],
"hyphenationRules": [
"allow_hyphenation_brand_name"
],
"industryJargon": "no_jargon",
"language": "en",
"name": "My Brand Voice",
"numberFormat": "EN",
"personal": false,
"perspective": [
"first_person_singular"
],
"phoneNumberFormat": "international_e164",
"thumbnailBase64": "string",
"timeFormat": "24h",
"useControversialEmojis": false,
"useHeaderPunctuation": false,
"useHyphens": false,
"vocabulary": [
"ChatFlash",
"image generation"
]
}
}

Import-Entwurf speichern

Import-Antworten werden nicht automatisch gespeichert. Verwenden Sie die extrahierten brandVoice-Attribute, um eine Brand Voice in einem Folgeaufruf zu erstellen:

# Step 1: Import from URL — get the draft
DRAFT=$(curl -s -X POST \
"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voice-url-imports" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"audienceModelId": "538b1efc6f88ad88feebf7acd8c618facb54fe82",
"country": "us",
"language": "en",
"url": "https://your-brand.com"
}')

# Step 2: Create brand voice with extracted name and description
curl -X POST \
"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voices" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d "{
\"name\": $(echo $DRAFT | jq '.brandVoice.name'),
\"description\": $(echo $DRAFT | jq '.brandVoice.description'),
\"language\": $(echo $DRAFT | jq '.brandVoice.language'),
\"country\": $(echo $DRAFT | jq '.brandVoice.country'),
\"creationSourceType\": \"url\",
\"creationSourceURL\": \"https://your-brand.com\",
\"brand\": { \"name\": $(echo $DRAFT | jq '.brand.name'), \"values\": [], \"phones\": [] }
}"